﻿using MVCWeb25.Models;
using System;
using System.Web.Mvc;

namespace MVCWeb25.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(Students students)
        {
            String date = DateTime.ParseExact(students.studentDOB, "dd/M/yyyy", System.Globalization.CultureInfo.InvariantCulture).ToString("dd-MMM-yyyy");
            
            ViewBag.Message = date;
            return View(students);
        }
       
    }
}