﻿using MVCWeb25.Models;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Web.Mvc;

namespace MVCWeb25.Controllers
{
    public class ProductsController : Controller
    {
        // GET: Products
        public ActionResult Index()
        {
            return View();
        }
        
        public ActionResult getProductList()
        {
            return Json(new { data = GetProducts() }, JsonRequestBehavior.AllowGet);
        }
        public List<Products> GetProducts()
        {

            List<Products> products = new List<Products>();
            try
            {
                String connectionString = "Data Source=192.168.0.106;Initial Catalog=NorthWind;User ID=sa;Password=789;Trusted_Connection=false;";
                SqlConnection con = new SqlConnection(connectionString);
                SqlCommand cmd = new SqlCommand("Select ProductName,CategoryName,QuantityPerUnit,UnitPrice from View_ListOfProducts", con);
                con.Open();
                SqlDataAdapter adapter = new SqlDataAdapter(cmd);

                DataTable dtProducts = new DataTable();

                adapter.Fill(dtProducts);

                foreach (DataRow dr in dtProducts.Rows)
                {
                    products.Add(new Products
                    {
                        CategoryName = dr["CategoryName"].ToString(),
                        QuantityPerUnit = dr["QuantityPerUnit"].ToString(),
                        UnitPrice = dr["UnitPrice"].ToString(),
                        ProductName = dr["ProductName"].ToString()
                    });
                }

                adapter.Dispose();
                con.Close();
                con.Dispose();
            }
            catch (Exception ex)
            {
                products = null;
            }

            return products;
        }
    }
}